package com.railway.business.safetool.service;

import com.railway.business.safetool.domain.SecScheduled;
import com.railway.business.safetool.domain.SecScheduledTool;
import com.railway.business.safetool.domain.vo.*;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
/**
* 安全工具计划表
* @author lijie
* @date 2021/12/04
*/
public interface ISecScheduledService{

    /**
    * 新增
    */
    int create(SecScheduledListVo secScheduled) throws Exception;

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(SecScheduled secScheduled);

    /**
    * 获取单个
    */
    List<SecScheduledDetailVo> getInfo(String id);

    /**
    * 查询列表
    */
    List<SecScheduledListVo2> getList(SecScheduledListParmVo secScheduled);



     int delTools(SecScheduledToolsAddVo secScheduled) throws Exception ;


     int addTools(SecScheduledToolsAddVo toolsVo) ;
}
